Module | Sequel::Plugins::Sharding::ClassMethods
In: | lib/sequel/plugins/sharding.rb

### Methods

create_using_server eager_loading_dataset new_using_server

### Public Instance methods

create_using_server(s, values={}, &block)

Create a new object on the given shard s.

[Source]

        # File lib/sequel/plugins/sharding.rb, line 23
    23:         def create_using_server(s, values={}, &block)
    24:           new_using_server(s, values, &block).save
    25:         end

eager_loading_dataset(opts, ds, select, associations, eager_options={})

When eagerly loading, if the current dataset has a defined shard and the dataset that you will be using to get the associated records does not, use the current dataset‘s shard for the associated dataset.

[Source]

        # File lib/sequel/plugins/sharding.rb, line 30
    30:         def eager_loading_dataset(opts, ds, select, associations, eager_options={})
    31:           ds = super(opts, ds, select, associations, eager_options)
    32:           if !ds.opts[:server] and s = eager_options[:self] and server = s.opts[:server]
    33:             ds = ds.server(server)
    34:           end
    35:           ds
    36:         end

new_using_server(s, values={}, &block)

Return a newly instantiated object that is tied to the given shard s. When the object is saved, a record will be inserted on shard s.

[Source]

        # File lib/sequel/plugins/sharding.rb, line 41
    41:         def new_using_server(s, values={}, &block)
    42:           new(values, &block).set_server(s)
    43:         end

[Validate]